summaryrefslogtreecommitdiffstats
path: root/source/script
diff options
context:
space:
mode:
authorVolker Lendecke <vl@samba.org>2007-12-29 13:10:25 +0100
committerVolker Lendecke <vl@samba.org>2007-12-29 13:17:01 +0100
commit8ba3b8cf7aca657ad8426981d810c36ee6a34a2f (patch)
tree14a151711ac0d08a807ea05c3c32548e75910ffb /source/script
parente276e48177f890531ee8b4024c90352f284d4608 (diff)
downloadsamba-8ba3b8cf7aca657ad8426981d810c36ee6a34a2f.tar.gz
samba-8ba3b8cf7aca657ad8426981d810c36ee6a34a2f.tar.xz
samba-8ba3b8cf7aca657ad8426981d810c36ee6a34a2f.zip
Attempt to fix the AIX make test failures
For some reason AIX does not return the sender address in the AF_UNIX recvfrom. So the faked netbios name lookup does not work with socket wrapper, nmbd can't know where to send the reply. This patch works around this by telling smbclient explicitly where to connect. If there's any AIX experts listening -- how do I get the sender address from AF_UNIX recvfrom? Volker
Diffstat (limited to 'source/script')
-rwxr-xr-xsource/script/tests/test_smbclient_s3.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/script/tests/test_smbclient_s3.sh b/source/script/tests/test_smbclient_s3.sh
index 3a8f3bd5b6c..fdade5a6173 100755
--- a/source/script/tests/test_smbclient_s3.sh
+++ b/source/script/tests/test_smbclient_s3.sh
@@ -24,7 +24,7 @@ test_noninteractive_no_prompt()
prompt="smb"
echo du | \
- $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp 2>&1 | \
+ $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I SERVER_IP 2>&1 | \
grep $prompt
if [ $? = 0 ] ; then
@@ -48,7 +48,7 @@ quit
EOF
CLI_FORCE_INTERACTIVE=yes \
- $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp \
+ $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I $SERVER_IP \
< $tmpfile 2>/dev/null | \
grep $prompt
@@ -64,7 +64,7 @@ EOF
}
testit "smbclient -L $SERVER_IP" $SMBCLIENT $CONFIGURATION -L $SERVER_IP -N -p 139 || failed=`expr $failed + 1`
-testit "smbclient -L $SERVER" $SMBCLIENT $CONFIGURATION -L $SERVER -N -p 139 || failed=`expr $failed + 1`
+testit "smbclient -L $SERVER -I $SERVER_IP" $SMBCLIENT $CONFIGURATION -L $SERVER -I $SERVER_IP -N -p 139 || failed=`expr $failed + 1`
testit "noninteractive smbclient does not prompt" \
test_noninteractive_no_prompt || \